<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="rech_ausfuhrdaten" pageWidth="595" pageHeight="842" whenNoDataType="BlankPage" columnWidth="525" leftMargin="56" rightMargin="14" topMargin="0" bottomMargin="0" isSummaryWithPageHeaderAndFooter="true" uuid="696370cf-f874-455e-b5e6-40f1e6333f07">
	<property name="ireport.scriptlethandling" value="0"/>
	<property name="ireport.encoding" value="UTF-8"/>
	<property name="ireport.zoom" value="1.5"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="528"/>
	<import value="net.sf.jasperreports.engine.*"/>
	<import value="java.util.*"/>
	<import value="net.sf.jasperreports.engine.data.*"/>
	<parameter name="P_BELEGKENNUNG" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["P_BELEGKENNUNG"]]></defaultValueExpression>
	</parameter>
	<parameter name="P_KUNDE_ADRESSBLOCK" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_UID" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA["P_KUNDE_UID"]]></defaultValueExpression>
	</parameter>
	<parameter name="P_AUFTRAGSNUMMER" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_ZAHLUNGSKONDITION" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_UNSER_ZEICHEN" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BELEGDATUM" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_WAEHRUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ALLGEMEINER_RABATT" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_MANDANT_ANREDE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BENUTZER_ANREDE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_IHRE_BESTELLNUMMER" class="java.lang.String" isForPrompting="false">
		<defaultValueExpression><![CDATA[""]]></defaultValueExpression>
	</parameter>
	<parameter name="P_KOPFTEXT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FUSSTEXT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MEHRWERTSTEUER" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_MEHRWERTSTEUERBETRAG" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_RECHNUNGSENDBETRAG" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="REPORT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu diesem Report]]></parameterDescription>
	</parameter>
	<parameter name="P_MANDANTADRESSE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_EIGENTUMSVORBEHALT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEFERBEDINGUNGEN" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LOGO_IMAGE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LOGO_SUBREPORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FUSSZEILEN_SUBREPORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KOPIE_NUMMER" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_LINKS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_RECHTS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_RABATTSPALTE_DRUCKEN" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_MITLOGO" class="java.lang.Boolean" isForPrompting="false">
		<parameterDescription><![CDATA[Logodruck:
0 ... Ohne Logo
1 ... Mit Logo]]></parameterDescription>
		<defaultValueExpression><![CDATA[new Boolean(true)]]></defaultValueExpression>
	</parameter>
	<parameter name="P_MWST_TABELLE_WAEHRUNG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MWST_TABELLE_BETRAG" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KOSTENSTELLE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ANSPRECHPARTNEREMAIL" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ANSPRECHPARTNERFAX" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ANSPRECHPARTNERTELEFON" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_IGWARENVERKEHR" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_WARENERKLAERUNG" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_DEBITORENKONTO" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEFERART" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_REVERSECHARGE_INLAND" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_REVERSECHARGE_AUSLAND" class="java.lang.Boolean" isForPrompting="false"/>
	<parameter name="P_LIEFERADRESSE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_FREMDSYSTEMNR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEFERANTENNR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="REPORT_ROOT_DIRECTORY" class="java.lang.String" isForPrompting="false">
		<parameterDescription><![CDATA[Pfad zu allen Reports]]></parameterDescription>
	</parameter>
	<parameter name="P_STORNIERT" class="java.lang.Boolean" isForPrompting="false">
		<parameterDescription><![CDATA[1 ... Storniert]]></parameterDescription>
	</parameter>
	<parameter name="P_SKONTO1DATUM" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_SKONTO2DATUM" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_SKONTO1ANZAHLTAGE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_SKONTO2ANZAHLTAGE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_SKONTO1PROZENTSATZ" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_SKONTO2PROZENTSATZ" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_BETRAGNURSKONTO1" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_BETRAGNURSKONTO2" class="java.math.BigDecimal" isForPrompting="false"/>
	<parameter name="P_ZIELDATUMNETTO" class="java.util.Date" isForPrompting="false"/>
	<parameter name="P_ANZAHLUNGEN" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_RECHNUNGSART" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_RECHNUNGSENDBETRAG2" class="java.math.BigDecimal" isForPrompting="false">
		<parameterDescription><![CDATA[nach Abzug der Anzahlungen]]></parameterDescription>
	</parameter>
	<parameter name="P_ANZAHLUNGENDETAILS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_DEBITORENKONTO" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_FREMDSYSTEMNR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_TOUR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_HINWEISEXTERN" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_TOUR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MANDANT_ANREDE_UND_NAME" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETER_UNTERSCHRIFTSFUNKTION_UND_NAME" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETER_UNTERSCHRIFTSTEXT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_LIEFERKUNDE_FIRMENBUCHNUMMER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_RECHNUNG_KUNDE_FIRMENBUCHNUMMER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_KUNDENNUMMER" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_LIEFERKUNDE_KUNDENNUMMER" class="java.lang.Integer" isForPrompting="false"/>
	<parameter name="P_VERTRETEREMAIL" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETERFAX" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_VERTRETERTELEFON" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_MAXIMALE_ABWEICHUNG" class="java.lang.Double" isForPrompting="false"/>
	<parameter name="P_BEARBEITER" class="com.lp.util.report.PersonRpt" isForPrompting="false"/>
	<parameter name="P_RECHNUNG_KUNDE_DEBITORENKONTO" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_ABBUCHUNGSLAGER" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_STATISTIKADRESS" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_STATISTIKKUNDE_FREMDSYSTEMNR" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BRIEFANREDE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_NAME1" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_NAME2" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_NAME3" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_STRASSE" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_LKZ" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_PLZ" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_KUNDE_ORT" class="java.lang.String" isForPrompting="false"/>
	<parameter name="P_BELEGDATUM_TIMESTAMP" class="java.sql.Timestamp" isForPrompting="false"/>
	<parameter name="SUBREPORT_DIR" class="java.lang.String" isForPrompting="false"/>
	<field name="Position" class="java.lang.Integer"/>
	<field name="Ident" class="java.lang.String"/>
	<field name="Menge" class="java.math.BigDecimal"/>
	<field name="Einheit" class="java.lang.String"/>
	<field name="Einzelpreis" class="java.math.BigDecimal"/>
	<field name="Rabatt" class="java.lang.Float"/>
	<field name="Gesamtpreis" class="java.math.BigDecimal"/>
	<field name="Positionsart" class="java.lang.String"/>
	<field name="Freiertext" class="java.lang.String"/>
	<field name="Leerzeile" class="java.lang.String"/>
	<field name="Seitenumbruch" class="java.lang.Boolean"/>
	<field name="Image" class="java.lang.Object"/>
	<field name="Mwstsatz" class="java.lang.Double"/>
	<field name="Mwstbetrag" class="java.math.BigDecimal"/>
	<field name="F_STKLMENGE" class="java.math.BigDecimal"/>
	<field name="F_STKLEINHEIT" class="java.lang.String"/>
	<field name="F_STKLARTIKELCNR" class="java.lang.String"/>
	<field name="F_STKLARTIKELBEZ" class="java.lang.String"/>
	<field name="F_IDENTNUMMER" class="java.lang.String"/>
	<field name="F_BEZEICHNUNG" class="java.lang.String"/>
	<field name="F_KURZBEZEICHNUNG" class="java.lang.String"/>
	<field name="AUFTRAG_BESTELLDATUM" class="java.util.Date"/>
	<field name="AUFTRAG_BESTELLNUMMER" class="java.lang.String"/>
	<field name="AUFTRAG_NUMMER" class="java.lang.String"/>
	<field name="AUFTRAG_PROJEKT" class="java.lang.String"/>
	<field name="F_WARENVERKEHRSNUMMER" class="java.lang.String"/>
	<field name="F_SERIENCHARGENR" class="java.lang.String"/>
	<field name="F_SERIENCHARGENR_MENGE" class="java.math.BigDecimal"/>
	<field name="F_CHARGE_MINDESTHALTBARKEIT" class="java.lang.String"/>
	<field name="F_KUNDEARTIKELNR" class="java.lang.String"/>
	<field name="F_VERPACKUNGSEANNR" class="java.lang.String"/>
	<field name="F_VERKAUFSEANNR" class="java.lang.String"/>
	<field name="F_REFERENZNUMMER" class="java.lang.String"/>
	<field name="F_ARTIKELKOMMENTAR" class="java.lang.String"/>
	<field name="F_ZUSATZBEZEICHNUNG" class="java.lang.String"/>
	<field name="F_ZUSATZRABATT" class="java.lang.Float"/>
	<field name="F_ARTIKELCZBEZ2" class="java.lang.String"/>
	<field name="F_ARTIKEL_URSPRUNGSLAND" class="java.lang.String"/>
	<field name="F_ARTIKEL_ARTIKELGRUPPE" class="java.lang.String"/>
	<field name="F_TYP_CNR" class="java.lang.String"/>
	<field name="F_IDENT_TEXTEINGABE" class="java.lang.String"/>
	<field name="F_POSITIONSOBJEKT" class="com.lp.util.report.PositionRpt"/>
	<field name="F_LS_ANSPRECHPARTNER" class="java.lang.String"/>
	<field name="F_LS_KOMMISIONSNUMMER" class="java.lang.String"/>
	<field name="F_LS_ABBUCHUNGSLAGER" class="java.lang.String"/>
	<field name="WE_REFERENZ" class="net.sf.jasperreports.engine.JRDataSource"/>
	<field name="F_LS_PROJEKT" class="java.lang.String"/>
	<field name="F_LS_KOSTENSTELLE" class="java.lang.String"/>
	<field name="F_LS_BESTELLNUMMER" class="java.lang.String"/>
	<field name="F_LS_ANSPRECHPARTNER_FREMDSYSTEMNUMMER" class="java.lang.String"/>
	<field name="F_SETARTIKEL_TYP" class="java.lang.String"/>
	<field name="F_FIBU_MWST_CODE" class="java.lang.Integer"/>
	<field name="F_ARTIKEL_VERPACKUNGSART" class="java.lang.String"/>
	<field name="F_LS_RECHNUNGSADRESSEGLEICHLIEFERADRESSE" class="java.lang.Boolean"/>
	<field name="F_ARTIKEL_INDEX" class="java.lang.String"/>
	<field name="F_ARTIKEL_REVISION" class="java.lang.String"/>
	<field name="F_VERLEIHTAGE" class="java.lang.Integer"/>
	<field name="F_VERLEIHFAKTOR" class="java.lang.Double"/>
	<field name="F_GEWICHT" class="java.lang.Double"/>
	<variable name="Proformarechnung" class="java.lang.String" resetType="None" calculation="First">
		<variableExpression><![CDATA[($F{Positionsart}.equals("Betrifft       ") &&
 $V{Proformarechnung} == null &&
 $F{Freiertext}.toUpperCase().contains("PROFORMA")) ?
$F{Freiertext} : $V{Proformarechnung}]]></variableExpression>
		<initialValueExpression><![CDATA[null]]></initialValueExpression>
	</variable>
	<variable name="V_SUMME_GESAMTPREIS" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Gesamtpreis}]]></variableExpression>
	</variable>
	<variable name="V_AUFTRAGSNUMMER_GROUPING" class="java.lang.String">
		<variableExpression><![CDATA[$F{AUFTRAG_NUMMER} != null ? $F{AUFTRAG_NUMMER} : $V{V_AUFTRAGSNUMMER_GROUPING}]]></variableExpression>
		<initialValueExpression><![CDATA[null]]></initialValueExpression>
	</variable>
	<variable name="V_LIEFERSCHEIN" class="java.lang.Boolean">
		<variableExpression><![CDATA[new Boolean($F{Positionsart}.startsWith( "LSBeginn" ) ? true :
            ($F{Positionsart}.startsWith( "LSEnde" ) ? false : $V{V_LIEFERSCHEIN}.booleanValue())
)]]></variableExpression>
		<initialValueExpression><![CDATA[new Boolean(false)]]></initialValueExpression>
	</variable>
	<variable name="SubPosition" class="java.lang.Integer" resetType="None">
		<variableExpression><![CDATA[$F{F_SETARTIKEL_TYP}==null || !($F{Positionsart}.equals("Ident          ") || $F{Positionsart}.equals("Handeingabe    "))
? $V{SubPosition} :
(
 $F{F_SETARTIKEL_TYP}.compareTo( "Kopf" ) == 0 ?
 new Integer(0)
 :
 new Integer($V{SubPosition}.intValue()+1) )]]></variableExpression>
	</variable>
	<variable name="V_ALLGEMEINER_RABATT" class="java.lang.Boolean">
		<variableExpression><![CDATA[new Boolean($P{P_ALLGEMEINER_RABATT}!=null&&$P{P_ALLGEMEINER_RABATT}.doubleValue()>0)]]></variableExpression>
	</variable>
	<variable name="V_RABATTSATZ" class="java.math.BigDecimal">
		<variableExpression><![CDATA[new BigDecimal($P{P_ALLGEMEINER_RABATT}.floatValue()).setScale(2, BigDecimal.ROUND_HALF_UP).movePointLeft(2)]]></variableExpression>
	</variable>
	<variable name="V_RABATTSUMME" class="java.math.BigDecimal">
		<variableExpression><![CDATA[$V{V_SUMME_GESAMTPREIS}.multiply($V{V_RABATTSATZ})]]></variableExpression>
	</variable>
	<variable name="V_ENDBETRAG" class="java.math.BigDecimal" resetType="None">
		<variableExpression><![CDATA[$V{V_SUMME_GESAMTPREIS}.subtract($V{V_RABATTSUMME})]]></variableExpression>
	</variable>
	<variable name="ENDSUMME_GEDRUCKT" class="java.lang.Integer" calculation="Sum">
		<variableExpression><![CDATA[$F{Positionsart}.startsWith( "Endsumme" ) ?
new Integer(1) : new Integer(0)]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<variable name="Gesamtgewicht" class="java.lang.Double" calculation="Sum">
		<variableExpression><![CDATA[$F{F_GEWICHT}.doubleValue() * $F{Menge}.doubleValue()]]></variableExpression>
	</variable>
	<variable name="Gesamt_Zoll_Wert" class="java.math.BigDecimal" calculation="Sum">
		<variableExpression><![CDATA[$F{Gesamtpreis}]]></variableExpression>
	</variable>
	<variable name="Position" class="java.lang.Integer">
		<variableExpression><![CDATA[($F{Positionsart}.trim().equals("Ident") ||
 $F{Positionsart}.trim().equals("Handeingabe") ||
 $F{Positionsart}.trim().equals("Lieferschein")) ? $V{Position}+1 :$V{Position}]]></variableExpression>
		<initialValueExpression><![CDATA[new Integer(0)]]></initialValueExpression>
	</variable>
	<variable name="WVK_Nr" class="java.lang.String">
		<variableExpression><![CDATA[$F{F_WARENVERKEHRSNUMMER}==null ? $V{WVK_Nr} : $F{F_WARENVERKEHRSNUMMER}]]></variableExpression>
	</variable>
	<variable name="LISTE_WVK" class="java.util.List">
		<variableExpression><![CDATA[($V{LISTE_WVK} == null ? new ArrayList() : $V{LISTE_WVK})]]></variableExpression>
	</variable>
	<variable name="LISTE_WVK_ADD" class="java.lang.Boolean">
		<variableExpression><![CDATA[$V{LISTE_WVK}.add(new java.lang.Object[] {( !($F{Positionsart}.trim().equals("Ident") ||
                                              $F{Positionsart}.trim().equals("Handeingabe") ||
                                              $F{Positionsart}.trim().equals("Lieferschein") ) ?
                                            "nix" : ($F{F_WARENVERKEHRSNUMMER}==null?"---- -- --":$F{F_WARENVERKEHRSNUMMER})),
                                           $F{F_ARTIKEL_URSPRUNGSLAND},
                                           $F{Menge},
                                           $F{Einheit},
                                           $F{F_GEWICHT},
                                           $F{Gesamtpreis}})]]></variableExpression>
	</variable>
	<group name="Rechnungspositionen" isStartNewPage="true" isReprintHeaderOnEachPage="true">
		<groupExpression><![CDATA[$F{Seitenumbruch}]]></groupExpression>
		<groupHeader>
			<band height="27" splitType="Stretch">
				<staticText>
					<reportElement key="Pos" mode="Transparent" x="0" y="0" width="23" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="2475903d-4279-4a29-89ee-48b1c4367b2c"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Pos]]></text>
				</staticText>
				<staticText>
					<reportElement key="WVK Nr Ursprungsland" mode="Transparent" x="35" y="0" width="110" height="24" forecolor="#000000" backcolor="#FFFFFF" uuid="2c05435b-8fa9-4973-9a85-29c6a8af6ce7"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[WVK Nr
Ursprungsland]]></text>
				</staticText>
				<staticText>
					<reportElement key="Menge" mode="Transparent" x="255" y="0" width="35" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="febff2a0-a345-4e9d-a8f7-0c1276f5d647"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Menge]]></text>
				</staticText>
				<staticText>
					<reportElement key="ME" mode="Transparent" x="295" y="0" width="35" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="414abe58-c60f-45c9-992c-26320cca4ea8"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[ME]]></text>
				</staticText>
				<staticText>
					<reportElement key="Gesamtpreis" mode="Transparent" x="330" y="0" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="b02b5541-dc3d-43b9-8522-d5a736a17e14"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Gesamtpreis]]></text>
				</staticText>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement key="WAEHRUNG" mode="Transparent" x="330" y="12" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="0af7bfff-f6e2-4f4e-8c62-9941302522d0"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<textFieldExpression><![CDATA["in " + $P{P_WAEHRUNG}]]></textFieldExpression>
				</textField>
				<staticText>
					<reportElement key="Pos.Gewicht" mode="Transparent" x="410" y="0" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="bb471c32-899e-42fd-82e6-8fa06b059a4c"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<text><![CDATA[Positionsgewicht]]></text>
				</staticText>
				<textField pattern="" isBlankWhenNull="false">
					<reportElement key="in kg" mode="Transparent" x="410" y="12" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="d2ba3292-a9db-4f40-b0d1-069ff994c629"/>
					<box>
						<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
						<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
					</box>
					<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
						<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
					</textElement>
					<textFieldExpression><![CDATA["in kg"]]></textFieldExpression>
				</textField>
				<line>
					<reportElement key="line-1" mode="Opaque" x="0" y="25" width="505" height="1" forecolor="#000000" backcolor="#FFFFFF" uuid="fcab2678-d595-4447-8166-718e654a5a3c"/>
					<graphicElement fill="Solid">
						<pen lineWidth="0.5" lineStyle="Solid"/>
					</graphicElement>
				</line>
			</band>
		</groupHeader>
		<groupFooter>
			<band splitType="Stretch"/>
		</groupFooter>
	</group>
	<background>
		<band height="842" splitType="Stretch">
			<subreport isUsingCache="true">
				<reportElement key="subreport-5" mode="Opaque" x="-56" y="0" width="595" height="842" forecolor="#000000" backcolor="#FFFFFF" uuid="98859ac6-4262-4c37-a9c6-30a3a32519d1"/>
				<subreportParameter name="P_LOGO">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_IMAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MITLOGO">
					<subreportParameterExpression><![CDATA[$P{P_MITLOGO}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_ROOT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_ROOT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LOGO_IMAGE">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_IMAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LOGO_SUBREPORT">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_SUBREPORT}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_FUSSZEILEN_SUBREPORT">
					<subreportParameterExpression><![CDATA[$P{P_FUSSZEILEN_SUBREPORT}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[new java.io.File($P{P_LOGO_SUBREPORT}.replaceFirst("logo.","background.")).toURL()]]></subreportExpression>
			</subreport>
		</band>
	</background>
	<title>
		<band height="295" splitType="Stretch">
			<subreport isUsingCache="true">
				<reportElement key="Background_Erste_Seite-1" mode="Transparent" x="-56" y="0" width="595" height="295" forecolor="#000000" backcolor="#FFFFFF" uuid="1b36996d-5166-404f-bb06-aad0eb7fb1a3"/>
				<subreportParameter name="P_LOGO">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_IMAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_MITLOGO">
					<subreportParameterExpression><![CDATA[$P{P_MITLOGO}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="REPORT_ROOT_DIRECTORY">
					<subreportParameterExpression><![CDATA[$P{REPORT_ROOT_DIRECTORY}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LOGO_IMAGE">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_IMAGE}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_LOGO_SUBREPORT">
					<subreportParameterExpression><![CDATA[$P{P_LOGO_SUBREPORT}]]></subreportParameterExpression>
				</subreportParameter>
				<subreportParameter name="P_FUSSZEILEN_SUBREPORT">
					<subreportParameterExpression><![CDATA[$P{P_FUSSZEILEN_SUBREPORT}]]></subreportParameterExpression>
				</subreportParameter>
				<connectionExpression><![CDATA[$P{REPORT_CONNECTION}]]></connectionExpression>
				<subreportExpression><![CDATA[new java.io.File($P{P_LOGO_SUBREPORT}.replaceFirst("logo.","background1.")).toURL()]]></subreportExpression>
			</subreport>
			<staticText>
				<reportElement key="Ausfuhrinformationen" positionType="Float" mode="Transparent" x="0" y="106" width="350" height="30" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="199c2ec4-ea06-457b-9daf-aca1ed44a07a"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="24" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Ausfuhrinformationen]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="RECHNUNG NR" mode="Transparent" x="0" y="142" width="236" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="6422762e-00e6-494f-9a65-2e0c91d265cb"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica-Bold" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($V{Proformarechnung}==null?"":"Proforma-")+
$P{P_RECHNUNGSART}.toUpperCase()+
" NR: " + $P{P_BELEGKENNUNG}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Datum:" mode="Transparent" x="0" y="154" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="7e9f406b-3c0b-4973-bcce-241e11091e76"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Datum:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="BELEGDATUM" mode="Transparent" x="80" y="154" width="70" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="59749d4a-a358-43b0-8854-53acd576f72b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_BELEGDATUM}]]></textFieldExpression>
			</textField>
			<staticText>
				<reportElement key="Anschrift:" positionType="Float" mode="Transparent" x="0" y="196" width="200" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="1f07015c-1a3e-4adf-a456-fd732c358e40"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="true" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Kunde:]]></text>
			</staticText>
			<textField pattern="" isBlankWhenNull="false">
				<reportElement key="KUNDE_ADRESSBLOCK" mode="Transparent" x="0" y="206" width="350" height="84" forecolor="#000000" backcolor="#FFFFFF" uuid="5c6d9e95-0e1f-4136-9f8f-08784e91d0b7"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$P{P_KUNDE_ADRESSBLOCK}]]></textFieldExpression>
			</textField>
		</band>
	</title>
	<pageHeader>
		<band height="152" splitType="Stretch">
			<printWhenExpression><![CDATA[new Boolean($V{PAGE_NUMBER}.intValue() > 1)]]></printWhenExpression>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="PAGE_NUMBER" mode="Transparent" x="255" y="120" width="215" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="bc2f0ec2-7b1b-43b6-86ac-cf53ef33c0c5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Seite " + String.valueOf($V{PAGE_NUMBER}) + " von "]]></textFieldExpression>
			</textField>
			<textField evaluationTime="Report" pattern="" isBlankWhenNull="true">
				<reportElement key="VON_PAGE_NUMBER" mode="Transparent" x="470" y="120" width="35" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="13750b4e-353d-4ff0-a53f-d674f3e6d1ed"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[String.valueOf($V{PAGE_NUMBER})]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="RECHNUNG NR" mode="Transparent" x="0" y="132" width="505" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="7ee1823a-13da-4fe6-87a7-94c6b716b6e5"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="true" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA["Ausfuhrinformationen zu Rechnung Nr.: " + $P{P_BELEGKENNUNG}]]></textFieldExpression>
			</textField>
		</band>
	</pageHeader>
	<detail>
		<band height="18" splitType="Stretch">
			<printWhenExpression><![CDATA[false
/*
$F{Positionsart}.trim().equals("Ident") ||
$F{Positionsart}.trim().equals("Handeingabe") ||
$F{Positionsart}.trim().equals("Lieferschein")
*/]]></printWhenExpression>
			<textField pattern="###000" isBlankWhenNull="true">
				<reportElement key="Position-1" mode="Transparent" x="0" y="0" width="23" height="17" isRemoveLineWhenBlank="true" forecolor="#FFFFFF" backcolor="#FFFFFF" uuid="85bc8d82-b000-4ee1-b711-9a3220128f1e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Position}]]></textFieldExpression>
			</textField>
			<textField pattern="###000" isBlankWhenNull="true">
				<reportElement key="Position" mode="Transparent" x="0" y="5" width="23" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="e4fcbcc1-40cc-4c2c-bfe6-00a83d0ccf06"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Position}]]></textFieldExpression>
			</textField>
			<textField isStretchWithOverflow="true" pattern="" isBlankWhenNull="true">
				<reportElement key="F_WARENVERKEHRSNUMMER" mode="Transparent" x="35" y="5" width="205" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="2d0e9a24-e282-4e61-84b7-b14d533ad0be"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None" markup="styled">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[($F{F_WARENVERKEHRSNUMMER} == null ?
".... .. .." : "WVK Nr:"+$F{F_WARENVERKEHRSNUMMER})+"\n"+
($F{F_ARTIKEL_URSPRUNGSLAND} == null ?
"" : "Ursprungsland: "+$F{F_ARTIKEL_URSPRUNGSLAND})]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0;-#,##0" isBlankWhenNull="true">
				<reportElement key="Menge" mode="Transparent" x="240" y="5" width="50" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="4d218e48-4237-45bd-82a7-c185e79c8151"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Menge}]]></textFieldExpression>
			</textField>
			<textField pattern="" isBlankWhenNull="true">
				<reportElement key="ME" mode="Transparent" x="295" y="5" width="25" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="4443847d-d4ba-495e-b1d2-d0b94163aa21"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Left" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Einheit}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="Gesamtpreis" mode="Transparent" x="340" y="5" width="70" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="70934b73-d7a0-4dae-8c33-89f90b1358ef"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{Gesamtpreis}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="F_GEWICHT" mode="Transparent" x="420" y="5" width="70" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="3c124408-e12f-4866-9b7e-7e031a402316"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$F{F_GEWICHT}.doubleValue() * $F{Menge}.doubleValue()]]></textFieldExpression>
			</textField>
			<textField>
				<reportElement key="LISTE_WVK_ADD" mode="Transparent" x="505" y="0" width="20" height="18" uuid="467b298c-c1a5-44ff-924e-623cd907d696"/>
				<textFieldExpression><![CDATA[$V{LISTE_WVK_ADD}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
	<pageFooter>
		<band height="64" splitType="Stretch"/>
	</pageFooter>
	<summary>
		<band height="56" splitType="Stretch">
			<subreport>
				<reportElement key="rech_ausfuhrdaten_wvk" mode="Transparent" x="0" y="0" width="525" height="30" uuid="aaa63d2a-d842-4e0a-bcd1-8219a5505070"/>
				<dataSourceExpression><![CDATA[new net.sf.jasperreports.engine.data.ListOfArrayDataSource(com.lp.util.HelperReport.sortList($V{LISTE_WVK}),
    new String[] {"WVK", "URSPRUNG", "MENGE", "EINHEIT", "GEWICHT", "GESAMTPREIS"})
/* new net.sf.jasperreports.engine.data.ListOfArrayDataSource($V{LISTE_WVK}, */]]></dataSourceExpression>
				<subreportExpression><![CDATA[$P{REPORT_DIRECTORY} + "rech_ausfuhrdaten_wvk.jasper"]]></subreportExpression>
			</subreport>
			<line>
				<reportElement positionType="Float" x="255" y="32" width="250" height="1" uuid="0afe6766-16b0-4dc6-9a84-8748d95dac31"/>
			</line>
			<staticText>
				<reportElement key="Total" positionType="Float" mode="Transparent" x="200" y="34" width="80" height="12" forecolor="#000000" backcolor="#FFFFFF" uuid="0c310012-be70-4918-8771-085dc9b244d3"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<text><![CDATA[Total]]></text>
			</staticText>
			<textField pattern="#,##0.00;-#,##0.00" isBlankWhenNull="true">
				<reportElement key="Gesamtpreis" positionType="Float" mode="Transparent" x="340" y="34" width="70" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="46eb0522-2fa7-41a1-b1ab-014448930b2e"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Gesamt_Zoll_Wert}]]></textFieldExpression>
			</textField>
			<textField pattern="#,##0.0;-#,##0.0" isBlankWhenNull="true">
				<reportElement key="Gesamtgewicht" positionType="Float" mode="Transparent" x="420" y="34" width="70" height="12" isRemoveLineWhenBlank="true" forecolor="#000000" backcolor="#FFFFFF" uuid="d4052c07-df11-4fca-94b7-628e8c34d84b"/>
				<box>
					<topPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<leftPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<bottomPen lineWidth="0.0" lineStyle="Solid" lineColor="#000000"/>
					<rightPen lineWidth="0.0" lineStyle="Solid" lineColor="#FFFFFF"/>
				</box>
				<textElement textAlignment="Right" verticalAlignment="Top" rotation="None">
					<font fontName="Arial" size="10" isBold="false" isItalic="false" isUnderline="false" isStrikeThrough="false" pdfFontName="Helvetica" pdfEncoding="Cp1252" isPdfEmbedded="false"/>
				</textElement>
				<textFieldExpression><![CDATA[$V{Gesamtgewicht}]]></textFieldExpression>
			</textField>
		</band>
	</summary>
</jasperReport>
